### File

`packages/components/eui-wizard/eui-wizard.component.ts`

### Implements

`AfterContentInit` `OnChanges`

### Metadata

encapsulation | `ViewEncapsulation.None`
providers | `EuiWizardService`
selector | `eui-wizard`
imports | `EUI_ICON`
templateUrl | `./eui-wizard.component.html`
styleUrl | `./eui-wizard.scss`

### Index

###### Properties
canBeFocused childrenSteps stepContentId stepIds
###### Methods
onKeyDown onSelectStep
###### Inputs
activeStepIndex e2eAttr isCustomContent isNavigationAllowed isShowStepTitle steps tabindex
###### Outputs
selectStep

### Inputs

activeStepIndex
Type : `number`

e2eAttr
Type : `string`
Default value : `'eui-wizard'`

isCustomContent
Type : `boolean`
Default value : `false`

isNavigationAllowed
Type : `boolean`
Default value : `true`

isShowStepTitle
Type : `boolean`
Default value : `false`

steps
Type : `Array<EuiWizardStep>`
Default value : `[]`

tabindex
Type : `number`
Default value : `0`

### Outputs

selectStep
Type : `EventEmitter<EuiWizardStep>`

### Methods

onKeyDown
`onKeyDown(event: KeyboardEvent)`
Parameters :
Name | Type | Optional
event | `KeyboardEvent` | No
Returns : `void`

onSelectStep
`onSelectStep(step: EuiWizardStep, index: number)`
Parameters :
Name | Type | Optional
step | `EuiWizardStep` | No
index | `number` | No
Returns : `void`

### Properties

canBeFocused
Type : `QueryList<ElementRef>`
Decorators : `@ViewChildren('canBeFocused')`

childrenSteps
Type : `QueryList<EuiWizardStepComponent>`
Decorators : `@ContentChildren(EuiWizardStepComponent)`

stepContentId
Type : `string`
Default value : `uniqueId()`

stepIds
Type : `string`

# results matching ""

# No results matching ""